package com.xjrsoft.module.student.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.student.dto.*;
import com.xjrsoft.module.student.entity.PbVXsxxsfytb;
import com.xjrsoft.module.student.vo.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 
* @Author dzx
* @Date: 2024-03-13
* @Version 1.0
*/

public interface IPbVXsxxsfytbService extends MPJBaseService<PbVXsxxsfytb> {
    PersonalPortraitFeeInformationVo listCostInformation(PersonalPortraitFeeInformationDto dto);

    IPage<PbVXsxxsfytbPageVo> getPage(PbVXsxxsfytbPageDto dto);

    List<PbVXsxxsfytbExcelVo> getList(PbVXsxxsfytbExcelDto dto);

    List<BaseClassQfCountVo> getClassQfCount();


    PbVXsxxsfytbFeeitemVo getStudentFeeInfo(String credentialNumber);

    List<FeeDetailListVo> getFeeDetail(String studentcode);

    /**
     * 查询学生是否有欠费信息
     * @param credentialNumber 学生身份证号
     * @return 1：是，0：否
     */
    Long getIsArrears(String credentialNumber);
}
